petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscInfoProcessClass

Activates or deactivates a class based on the filtering status of PetscInfo()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoProcessClass(const char classname[], PetscInt numClassID, PetscClassId classIDs[])

Not Collective

### Input Parameters

| classname | - Name of the class to activate/deactivate PetscInfo() for
| numClassID | - Number of entries in classIDs
| classIDs | - Array containing all of the PetscClassids associated with classname

### See Also

PetscInfo(), PetscInfoActivateClass(), PetscInfoDeactivateClass(), PetscInfoSetFromOptions()

### Level

developer

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages